Jump to content
C4 Forums | Control4

Need to Upgrade to 1.8 ??


evans17

Recommended Posts

I am very new to C4 and need some advice. I was running director version 1.7.3 and wanted to add some functionality. 1- wanted to get mobile license for ipad and 2 -wanted to get my security cameras signal from stand alone unit to my TV sets via C4. I was told by my dealer I MUST upgrade to version 1.8 in order to accomplish this (I thought all I needed was the license and the patch for the ipad and the cameras should work with my older version).

Problem is they upgraded me, which included upgrade to Zigbee Pro which has poor range and I lost functionality of some swithes and lights in outlying areas. This they said could be fixed by adding a range extender for a small fee and more programming. Seems to me this is just an ongoing cycle to generate cash for someone and lighten my wallet?? What do I NEED or did I already have it.

Link to comment
Share on other sites


Will 1.7.4 be sufficient for cameras? What about the zigbee problem. am I stuck with needing the booster or should I just go back to 1.7.4 and skip the zigbee pro. seems to all work with the older version with no add ons?

Thanks

Link to comment
Share on other sites

1.7.4 is sufficient for cameras as well, it sounds like you fell victim to an uninformed dealer. Unfortunately Zigbee Pro if a one way street...there is no easy way to get back.

Edit to fix typos....I need to quit posting using Swype without proof reading.

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...